Bug 1267266 - kinit misses /etc/krb5.conf.d/ and refuses to obtain TGT
kinit misses /etc/krb5.conf.d/ and refuses to obtain TGT
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robbie Harwood
Fedora Extras Quality Assurance
:
Depends On: 1225792
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 09:45 EDT by Tomas Tomecek
Modified: 2015-10-01 15:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 15:48:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Tomecek 2015-09-29 09:45:08 EDT
Description of problem:
```
$ strace kinit
...
stat("/etc/krb5.conf.d/", 0x7ffd83a26fc0) = -1 ENOENT (No such file or directory)
close(3)                                = 0
write(2, "kinit: Included profile director"..., 52kinit: Included profile directory could not be read ) = 52
write(2, "while initializing Kerberos 5 li"..., 37while initializing Kerberos 5 library) = 37
write(2, "\n", 1
)                       = 1
exit_group(1)                           = ?
+++ exited with 1 +++
```

When I create that dir, it works just fine.


Version-Release number of selected component (if applicable):
krb5-workstation-1.13.2-9.fc24.x86_64
Comment 1 Robbie Harwood 2015-09-29 10:20:07 EDT
This was introduced as a result of trying to fix https://bugzilla.redhat.com/show_bug.cgi?id=1225792

When I get krb5 building from source in rawhide again, I will fix this; until then, please accept my apologies and either mkdir or remove the line.
Comment 2 Tomas Tomecek 2015-09-30 03:41:53 EDT
Workaround/fix is very easy, so don't worry about it.
Comment 3 Robbie Harwood 2015-10-01 15:48:28 EDT
Thanks for being patient!

Note You need to log in before you can comment on or make changes to this bug.